import QtQuick 1.0
import QtWebKit 1.0
import com.nokia.meego 1.0

Item {
    id:facebooklogout
    width: parent.width
    height: parent.height

    property bool isSetting: false
    MouseArea{
        anchors.fill: parent
        onClicked: {}
    }

    WebView{
        id:webView
        opacity: 0.0
        width: parent.width
        height: parent.height
        url:"https://www.facebook.com/logout.php?l=en_UK&next=http://m.facebook.com/login.php&access_token="+mainPage.faceBookToken
//        url:"https://www.facebook.com/logout.php?next=http://www.facebook.com/login.php&access_token="+mainPage.faceBookToken
        onLoadFinished:{
            if(url=="http://m.facebook.com/login.php"){
                mainPage.faceBookToken="";
                if(isSetting){
                    settingPage.fbLogout=true;
                    settingPage.fbclicked=false;
                }else{
                    facebookConnectPage.fbclicked=false;
                }
                facebookConnectPage.componentCreated=false;
            }else{
                if(!isSetting){
                    facebookConnectPage.fbclicked=false;
                    facebookConnectPage.disconnectFailed=true;
                }
            }
            facebooklogout.destroy();
        }
        onLoadFailed: {
            if(isSetting){
                settingPage.fbclicked=false;
            }else{
                facebookConnectPage.fbclicked=false;
                facebookConnectPage.disconnectFailed=true;
            }
            facebooklogout.destroy();
        }
    }
    BusyIndicator {
        id: indicator
        platformStyle: BusyIndicatorStyle { size: "large" }
        running: true
        anchors.centerIn: parent
    }
}
