import QtQuick 1.0

Item {
    id: button
    property string image
    property string imagePressed
    signal clicked
    width: parent.width/5
    height:parent.height

    Image {
        id: buttonImage
        source: button.image
        anchors.centerIn: parent
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            button.clicked();
        }
        onPressed: buttonImage.source = button.imagePressed
        onReleased: buttonImage.source = button.image
    }
}
