import QtQuick 1.0

Image {
    property alias stationIconSource: stationIcon.source
    property alias stationNameText: stationName.text

    width: parent.width
    source: "../image/top_bar.png"

    Image {
        id: stationIcon
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.verticalCenter: parent.verticalCenter
    }

    Text {
        id: stationName
        width: parent.width - stationIcon.sourceSize.width - 20
        anchors.left: stationIcon.right
        anchors.leftMargin: 5
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: 24
        elide: Text.ElideRight
        color: "white"
    }
}
