import QtQuick 1.0
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow
    initialPage: mainPage

    Page {
        id: mainPage
        orientationLock: PageOrientation.LockPortrait
        property string faceBookToken
        property string fbFn
        property string fbLn
        property string fbId
        property string faceBookCreateFrom
        property bool twitterIsLogin: false
        property string twitterLoginFrom
        property bool isFollowingST: false
        property int mainViewDepth
        property int currentOnlineFriends: 0
        property alias localstorage: localstorage
        property string stLoginFrom
        property alias localDataStorage: localDataStorage
        //        StartUp {}
        TempClarifyStartPage {
            objectName: "initPage"
        }
        LocalStorage{
            id:localstorage
        }
        LocalDataStorage{
            id:localDataStorage
        }
    }
}


