import QtQuick 1.0

Rectangle {
    id: tempClarifyStartPage
    width: parent.width
    height: parent.height
    color: "black"

    property bool needTologin: false
    property string token
    property string twauthId
    signal closeSplash();

    function getBoth(){
        var user=mainPage.localstorage.getBothUserNameAndPassWordByType();
        if(user.isEmpty){
            pageStack.push(Qt.resolvedUrl("StartUp.qml"));
            needTologin = true;
        }else{
            if(user.type==1){
                tempClarifyStartPage.token = user.userName;
                mainPage.faceBookCreateFrom="loginAuto";
                context.getFacebookUid(tempClarifyStartPage.token);
            }else if(user.type==2){
                var twUserName = user.userName;
                var twPwd = user.passWord;
                mainPage.twitterLoginFrom="loginAuto";
                context.twitterLogin(twUserName,twPwd);
            }else if(user.type==3){
                var stUserName = user.userName;
                var stPwd = user.passWord;
                mainPage.stLoginFrom = "loginAuto";
                context.login(stUserName,stPwd);
            }
        }
    }
    Connections {
        target: context
        onGetFacebookUidFinished:{
            if(mainPage.faceBookCreateFrom=="loginAuto"){
                if(type===0){
                    mainPage.fbFn = firtName;
                    mainPage.fbLn = lastName;
                    mainPage.fbId = fuid;
                    context.fbLogin(mainPage.fbId);
                }else{
                    mainPage.localstorage.delByType();
                    pageStack.push(Qt.resolvedUrl("StartUp.qml"));
//                    closeSplash();
                    needTologin = true;
                }
            }
        }
        onFbLonginFinished:{
            if(mainPage.faceBookCreateFrom=="loginAuto"){
                if(type===0){
                    pageStack.push(Qt.resolvedUrl("SoundTrackerMain.qml"));
                    mainPage.faceBookToken= tempClarifyStartPage.token;
                    mainPage.mainViewDepth=1;
                }else{
                    mainPage.localstorage.delByType();
                    pageStack.push(Qt.resolvedUrl("StartUp.qml"));
                }
//                closeSplash();
                needTologin = true;
            }
        }
        onTwitterLoginFinished: {
            if(mainPage.twitterLoginFrom=="loginAuto"){
                if(type ===0 ) {
                    tempClarifyStartPage.twauthId = authid;
                    context.twLogin(tempClarifyStartPage.twauthId);
                }else {
                    mainPage.localstorage.delByType();
                    pageStack.push(Qt.resolvedUrl("StartUp.qml"));
                    needTologin = true;
                }
//                closeSplash();
//                needTologin = true;
            }
        }
        onTwLonginFinished: {
            if(mainPage.twitterLoginFrom=="loginAuto"){
                tempClarifyStartPage.twauthId="";
                if(type===0) {
                    mainPage.twitterIsLogin = true;
                    pageStack.push(Qt.resolvedUrl("SoundTrackerMain.qml"));
                    mainPage.mainViewDepth=1;
                }else{
                    mainPage.localstorage.delByType();
                    pageStack.push(Qt.resolvedUrl("StartUp.qml"));
                }
//                closeSplash();
                needTologin = true;
            }
        }
        onLoginFinished: {
            if(mainPage.stLoginFrom == "loginAuto"){
                if (type === 0) {
                    pageStack.push(Qt.resolvedUrl("SoundTrackerMain.qml"));
                    mainPage.mainViewDepth=1;
                }else{
                    mainPage.localstorage.delByType();
                    pageStack.push(Qt.resolvedUrl("StartUp.qml"));
                }
//                closeSplash();
                needTologin = true;
            }
        }
    }
//    Image {
//        id: background
//        source: "../image/home_bg.png"
//        width:parent.width
//        height: parent.height
//    }
//    Text {
//        id: loadingText
//        width: parent.width
//        anchors.centerIn: parent
//        horizontalAlignment: Text.AlignHCenter
//        font.pixelSize: 40
//        color: "white"
//        wrapMode: Text.WordWrap
//    }
    Timer {
        running: needTologin
        repeat: false
        interval:600
        onTriggered: {
//            pageStack.push(Qt.resolvedUrl("StartUp.qml"));
            needTologin = false;
            closeSplash();
        }
    }

    Component.onCompleted:{
        mainPage.localstorage.initialize();
        mainPage.localDataStorage.initialize();
        var res=mainPage.localDataStorage.get();

        if(res.isEmpty===false)
        {
            if(res.isBroadcastMusic==1)
            {
                context.setBroadcastMusic(true);
            }
            else
            {
                context.setBroadcastMusic(false);
            }

            if(res.isShareLocation==1)
            {
                context.setShareLocation(true);
            }
            else
            {
                context.setShareLocation(false);
            }
        }
//        getBoth();
    }
}
